包管理 - 在Ubuntu 20.04 LTS版本中,如何重新安装Ubuntu软件?

分享于 

5分钟阅读

ubuntu

  繁體

问题:

最近,我完全删除了旧磁盘数据并安装了Ubuntu的20.04 LTS版本,但是,Ubuntu软件无法正常工作,

因此,我尝试重新安装Ubuntu软件,但是发生以下错误:


Hit:1 http://security.ubuntu.com/ubuntu focal-security InRelease 


Hit:2 http://kr.archive.ubuntu.com/ubuntu focal InRelease 


Get:3 http://kr.archive.ubuntu.com/ubuntu focal-updates InRelease [89.1 kB]


Hit:4 http://kr.archive.ubuntu.com/ubuntu focal-backports InRelease


Get:5 http://kr.archive.ubuntu.com/ubuntu focal-updates/main i386 Packages [648 B]


Get:6 http://kr.archive.ubuntu.com/ubuntu focal-updates/main amd64 Packages [2,000 B]


Fetched 91.8 kB in 2s (44.6 kB/s)


Reading package lists... Done


Reading package lists... Done


Building dependency tree 


Reading state information... Done


Package software-center is not available, but is referred to by another package.


This may mean that the package is missing, has been obsoleted, or


is only available from another source



E: Package 'software-center' has no installation candidate



已安装的pkgs:


ii appstream 0.12.10-2 amd64 Software component metadata management


ii brltty 6.0+dfsg-4ubuntu6 amd64 Access software for a blind person using a braille display


ii docbook-xml 4.5-9 all standard XML documentation system for software and systems


ii espeak-ng-data:amd64 1.50+dfsg-6 amd64 Multi-lingual software speech synthesizer: speech data files


ii gnome-software 3.36.0-0ubuntu3 amd64 Software Center for GNOME


ii gnome-software-common 3.36.0-0ubuntu3 all Software Center for GNOME (common files)


ii gnome-software-plugin-snap 3.36.0-0ubuntu3 amd64 Snap support for GNOME Software


ii libdv4:amd64 1.0.0-12 amd64 software library for DV format digital video (runtime lib)


ii libespeak-ng1:amd64 1.50+dfsg-6 amd64 Multi-lingual software speech synthesizer: shared library


ii libqpdf26:amd64 9.1.1-1build1 amd64 runtime library for PDF transformation/inspection software


ii libtss2-esys0 2.3.2-1 amd64 TPM2 Software stack library - TSS and TCTI libraries


ii python3-software-properties 0.98.9 all manage the repositories that you install software from


ii software-properties-common 0.98.9 all manage the repositories that you install software from (common)


ii software-properties-gtk 0.98.9 all manage the repositories that you install software from (gtk)


ii xbrlapi 6.0+dfsg-4ubuntu6 amd64 Access software for a blind person using a braille display - xbrlapi



Snap-list :


Name Version Rev Tracking Publisher Notes


chromium 81.0.4044.122 1123 latest/stable canonical✓ -


core18 20200311 1705 latest/stable canonical✓ base


gimp 2.10.18 252 latest/stable snapcrafters -


gnome-3-28-1804 3.28.0-16-g27c9498.27c9498 116 latest/stable canonical✓ -


gnome-3-34-1804 0+git.2c86692 27 latest/stable/... canonical✓ -


gtk-common-themes 0.1-36-gc75f853 1506 latest/stable/... canonical✓ -


libreoffice 6.4.3.2 177 latest/stable canonical✓ -


snap-store 3.36.0-74-ga164ec9 433 latest/stable/... canonical✓ -


snapd 2.44.3 7264 latest/stable canonical✓ snapd




答案1:

要安装Ubuntu软件,在终端中运行:


sudo apt install ubuntu-software



要重新安装Ubuntu软件,请在终端中运行:


sudo apt install --reinstall ubuntu-software




答案2:

我听说切换到了snap store。你们可以试试


sudo apt-get update


sudo apt-get install gnome-software



或者


sudo apt-get update


sudo snap install snap-store





MAN  PAC  PACK  版本  Ubuntu  Reinstall